Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1CommandAdminUpdate

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1CommandAdminUpdate

Record Components:
  `fieldAdminId` - The admin.
  `fieldIdName` - The admin's new ID name.
  `fieldRealName` - The admin's new real name.
  `fieldPassword` - The admin's new password

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBProtocolMessageType`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`, `ProtocolIdA1Type`, `ProtocolIdA1v1Type`

public record IdA1CommandAdminUpdate(IdA1UUID fieldAdminId, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldIdName, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRealName, com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, ProtocolIdA1v1Type
A request to fetch the admin's own profile.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1CommandAdminUpdate(IdA1UUID fieldAdminId, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldIdName, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRealName, com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword)`
  Creates an instance of a `IdA1CommandAdminUpdate` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1CommandAdminUpdate`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1CommandAdminUpdate.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `IdA1UUID`
  `fieldAdminId()`
  Returns the value of the `fieldAdminId` record component.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldIdName()`
  Returns the value of the `fieldIdName` record component.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password>`
  `fieldPassword()`
  Returns the value of the `fieldPassword` record component.
  `com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString>`
  `fieldRealName()`
  Returns the value of the `fieldRealName` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminUpdate $x)`
  Serialize a value of type IdA1CommandAdminUpdate.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1CommandAdminUpdate

    public IdA1CommandAdminUpdate(IdA1UUID fieldAdminId, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldIdName, com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRealName, com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword)
    Creates an instance of a `IdA1CommandAdminUpdate` record class.
    Parameters:
      `fieldAdminId` - the value for the `fieldAdminId` record component
      `fieldIdName` - the value for the `fieldIdName` record component
      `fieldRealName` - the value for the `fieldRealName` record component
      `fieldPassword` - the value for the `fieldPassword` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1CommandAdminUpdate $x) throws IOException
    Serialize a value of type IdA1CommandAdminUpdate.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1CommandAdminUpdate deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1CommandAdminUpdate.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1CommandAdminUpdate.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldAdminId

    public IdA1UUID fieldAdminId()
    Returns the value of the `fieldAdminId` record component.
    Returns:
      the value of the `fieldAdminId` record component

  - ### fieldIdName

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldIdName()
    Returns the value of the `fieldIdName` record component.
    Returns:
      the value of the `fieldIdName` record component

  - ### fieldRealName

    public com.io7m.cedarbridge.runtime.api.CBOptionType<com.io7m.cedarbridge.runtime.api.CBString> fieldRealName()
    Returns the value of the `fieldRealName` record component.
    Returns:
      the value of the `fieldRealName` record component

  - ### fieldPassword

    public com.io7m.cedarbridge.runtime.api.CBOptionType<IdA1Password> fieldPassword()
    Returns the value of the `fieldPassword` record component.
    Returns:
      the value of the `fieldPassword` record component